package com.hinadt.api;

import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Lsz
 * @date 2024-10-16 13:30
 * @description Http Api test
 */
public class HttpApiHelper {

    /**
     * Post http
     *
     * @param url      接口
     * @param hiApiKey hi-api-key
     * @param jsonBody json请求
     * @return {@link String }
     */
    public static String apiPost(String url, String hiApiKey, String jsonBody) {
        Map<String, String> headers = new HashMap<>(4);
        headers.put("hi-api-key", hiApiKey);
        headers.put("Content-Type", "application/json;charset=UTF-8");
        HttpResponse execute = HttpUtil.createPost(url).headerMap(headers, true).body(jsonBody).execute();
        return execute.body();
    }

    public static void main(String[] args) {
        String req = """
                {
                  "projectCode": "yituiAll",
                  "bookmarkId": 1853730853349330946,
                  "page": 1,
                  "pageSize": 5
                }
                """;
        String res = apiPost(ApiInfo.EVENT, ApiInfo.HI_API_KEY, req);
        System.out.println(res);
    }
}
